[Browser]When you are using browser app to play videoes in portrait mode, rotating the device 180 degree quickly for several times, the screen can't react immediately.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Browser
RESOLVED WORKSFORME
3 years ago
3 years ago

People

(Reporter: zouyi(Leave from Mozilla), Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master affected)

Details

(Whiteboard: [v2.2-nexus-5-l])

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
Created attachment 8591639 [details]
1513.mp4

[1.Description]:
[Flame 2.2] [Nexus5 2.2 & 3.0] [Browser]When you are using browser app to play videos in portrait mode, if you rotate the device 180 degree quickly for several times, the screen can't react immediately. Screen reaction will retard.
Time:15:13
See attachment 1513 [details].mp4 and logcat_1513.txt

[2.Testing Steps]: 
1.Launch browser app.
2.Enter address, for example,www.youtube.com.
3.Select a video to play in portrait mode.
4.Rotate the device for 180 degree. 

[3.Expected Result]: 
4. Screen can react immediately.

[4.Actual Result]: 
4. Screen reaction will retard.

[5.Reproduction build]: 
Flame 2.2 version(Affected):
Build ID               20150412002502
Gaia Revision          cec00d643f517ffd96cde559cd3bbd43ab85816c
Gaia Date              2015-04-10 21:41:12
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/5005522fd68e
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150412.040730
Firmware Date          Sun Apr 12 04:07:41 EDT 2015
Bootloader             L1TC000118D0

Nexus5 2.2 version(Affected):
Build ID               20150412002502
Gaia Revision          cec00d643f517ffd96cde559cd3bbd43ab85816c
Gaia Date              2015-04-10 21:41:12
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/5005522fd68e
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.0
Firmware(Incremental)  eng.cltbld.20150412.045359
Firmware Date          Sun Apr 12 04:54:15 EDT 2015
Bootloader             HHZ12d

Nexus5 3.0 version(Affected):
 Build ID               20150412160203
Gaia Revision          3c68964cb9fdba7cf0f6829b7f44562acaf1f1d7
Gaia Date              2015-04-10 14:38:19
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/0a46652bd992
Gecko Version          40.0a1
Device Name            hammerhead
Firmware(Release)      5.0
Firmware(Incremental)  eng.cltbld.20150412.193404
Firmware Date          Sun Apr 12 19:34:19 EDT 2015
Bootloader             HHZ12d



[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
Free Test

[8. Note]:
Flame 3.0 can't play videos in Youtube through browser app.
(Reporter)

Comment 1

3 years ago
Created attachment 8591641 [details]
logcat_1513.txt
(Reporter)

Updated

3 years ago
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
(Reporter)

Comment 2

3 years ago
This bug can’t be repro on latest Flame KK v2.2&2.5&master and Aries KK v2.5&master, so I close this bug, if anyone can repro it , please reopen again.

Occurrence rate: 0/10

Device: Flame KK v2.2 512mb(Pass)
Build ID               20151206032510
Gaia Revision          885647d92208fb67574ced44004ab2f29d23cb45
Gaia Date              2015-10-07 13:05:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/4381c4b69b9c
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151206.064607
Firmware Date          Sun Dec  6 06:46:19 EST 2015
Firmware Version        V18D V4
Bootloader             L1TC000118D0

Device: Flame KK v2.5 512mb(Pass)
Build ID               20151207121611
Gaia Revision          2d54c29f429bed790b5d8284633812dc2b782518
Gaia Date              2015-12-02 14:41:15
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/c491dedc389de5c4686543b990c92d4f47715ee8
Gecko Version          44.0a2
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151207.112748
Firmware Date          Mon Dec  7 11:27:57 UTC 2015
Firmware Version        V18D V4
Bootloader             L1TC000118D0


Device: Flame KK master 512mb(Pass)
Build ID               20151207150206
Gaia Revision          24ed003a53a81f63367e265fa7117cbe7d23d4c8
Gaia Date              2015-12-07 03:36:55
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/59bc3c7a83de7ffb611203912a7da6ad84535a5a
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151207.185638
Firmware Date          Mon Dec  7 18:56:50 EST 2015
Firmware Version        V18D V4
Bootloader             L1TC000118D0

Device: Aries KK v2.5(Pass) 
Build ID               20151205004908
Gaia Revision          2d54c29f429bed790b5d8284633812dc2b782518
Gaia Date              2015-12-02 14:41:15
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/462016c61fe624c8ac3ff7d55c10754ce38dfa99
Gecko Version          44.0a2
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151204.235542
Firmware Date          Fri Dec  4 23:55:50 UTC 2015
Bootloader             s1

Device: Aries KK master(Pass) 
Build ID               20151207142642
Gaia Revision          24ed003a53a81f63367e265fa7117cbe7d23d4c8
Gaia Date              2015-12-07 03:36:55
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/59bc3c7a83de7ffb611203912a7da6ad84535a5a
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151207.134723
Firmware Date          Mon Dec  7 13:47:31 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
(Reporter)

Updated

3 years ago
QA Whiteboard: [MGSEI-Triage+]
You need to log in before you can comment on or make changes to this bug.